#!/usr/bin/perl

# author: Kevin K.M. Chiu
#       Cobalt Networks
# version: 2.0
# date: 7-9-99
#
# Copyright 1998-1999, Cobalt Networks, Inc
# All rights reserved

use Cobalt::Product;
use Cobalt::Layout;
use Cobalt::Services;
use Cobalt::User;
use Cobalt::Network;
use DB_File;
use Fcntl qw(O_RDWR O_CREAT);

use strict;


# get rid of </dev/null
$ENV{ 'REQUEST_METHOD' }='GET';


# print "content-type: text/plain\nCache-Control: no-cache\n\n";

# generate pages
layout_sysManage();
print "sysManage layout done.\n";
layout_personal();
print "personal layout done.\n";
# require "$AdminCGIs_dir/tools/genWizardPages.pl";

#
# make default pages to setup wizard
#

my $wizardPageDir="$AdminPages_dir/wizard";
opendir( DIR, $wizardPageDir );
my @files=readdir( DIR );
closedir( DIR );
my $file;
foreach $file ( @files ) {
    if( $file=~/^intro\.html$/ ) {
	my $targetPath="$Htgroup_dir/$MainGroup/$Webdir/index.html";
	system( "/bin/cp -f $wizardPageDir/$file $targetPath" );
	chmod( 0664, $targetPath );

	# make /index.html of admin server points to setup wizard
	system( "/bin/cp -f $wizardPageDir/$file $AdminServer_dir/html/index.html" );
    }
}

print "uiContructor done\n";

exit 0;
